Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Interface IMetadataQuery

    public interface IMetadataQuery

Interface to metadata query. Metadata include system properties(cm_path, cm_nodeName,..etc), and non-binary user properties defined in CM content

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Nested Class Summary
`static class` | `IMetadataQuery.Multiplicity` Multiplicity is used when searching user properties, and is used to restrict the search results to user (objectclass) properties with the specified name and multiplicity.
`static class` | `IMetadataQuery.SystemProperty` These are system properties available for full text searching

Method Summary
`IMetadataQueryParameter` | `buildAfter(IMetadataQuery.SystemProperty sysProp, Calendar criteria)` Matches a system property which contains a date that is later than or equal to the specified date
`IMetadataQueryParameter` | `buildAfter(String userPropertyField, Calendar criteria)` Matches a user property which contains a date that is later than or equal to the specified date
`IMetadataQueryParameter` | `buildBefore(IMetadataQuery.SystemProperty sysProp, Calendar criteria)` Matches a system property which contains a date that is earlier than or equal to the specified date
`IMetadataQueryParameter` | `buildBefore(String userPropertyField, Calendar criteria)` Matches a user property which contains a date that is earlier than or equal to the specified date
`IMetadataQueryParameter` | `buildContains(IMetadataQuery.SystemProperty sysProp, String[] values)` Matches a system property any criteria from a given list of criteria
`IMetadataQueryParameter` | `buildContains(String userPropertyField, String[] values)` Matches a user property any criteria from a given list of criteria
`IMetadataQueryParameter` | `buildContainsAll(IMetadataQuery.SystemProperty sysProp, String[] values)` Matches all criteria from a given list of one or more criteria
`IMetadataQueryParameter` | `buildContainsAll(String userPropertyField, String[] values)` Matches all criteria from a given list of one or more criteria
`IMetadataQueryParameter` | `buildEquals(IMetadataQuery.SystemProperty sysProp, String criteria)` Matches the exact string value of the criteria.
`IMetadataQueryParameter` | `buildEquals(IMetadataQuery.SystemProperty sysProp, String[] criteria)` Matches one or more exact string values from the given list.
`IMetadataQueryParameter` | `buildEquals(String userPropertyField, String criteria)` Matches the exact string value of the criteria.
`IMetadataQueryParameter` | `buildEquals(String userPropertyField, String[] criteria)` Matches one or more exact string values from the given list.
`IMetadataQueryParameter` | `buildGreaterThan(IMetadataQuery.SystemProperty sysProp, Number criteria)` Matches a system property which is greater than a numeric value
`IMetadataQueryParameter` | `buildGreaterThan(String userPropertyField, Number criteria)` Matches a user property which is greater than a numeric value
`IMetadataQueryParameter` | `buildIsNull(IMetadataQuery.SystemProperty sysProp)` Matches a system property which does not have a value set
`IMetadataQueryParameter` | `buildIsNull(String userPropertyField)` Matches a user property which does not have a value set
`IMetadataQueryParameter` | `buildLessThan(IMetadataQuery.SystemProperty syrProp, Number criteria)` Match a system property that is less then the specified criteria, for example size less than 1000
`IMetadataQueryParameter` | `buildLessThan(String userPropertyField, Number criteria)` Match a user property that is less then the specified criteria, for example size less than 1000
`IMetadataQueryParameter` | `buildLike(IMetadataQuery.SystemProperty sysProp, String criteria)` Corresponds to an SQL "like" (case sensitive)
`IMetadataQueryParameter` | `buildLike(String userPropertyField, String criteria)` Corresponds to an SQL "like" (case sensitive)
`IMetadataQueryParameter` | `buildLikeIgnoreCase(IMetadataQuery.SystemProperty sysProp, String criteria)` Corresponds to an SQL "like" (without case sensitivity)
`IMetadataQueryParameter` | `buildLikeIgnoreCase(String userPropertyField, String criteria)` Corresponds to an SQL "like" (without case sensitivity)
`IMetadataQueryParameter` | `buildNotEquals(IMetadataQuery.SystemProperty sysProp, String criteria)` Matches when the specified criteria does not exist
`IMetadataQueryParameter` | `buildNotEquals(IMetadataQuery.SystemProperty sysProp, String[] criteria)` Matches a system property whem none of specified criteria exists in the system property
`IMetadataQueryParameter` | `buildNotEquals(String userPropertyField, String criteria)` Matches when the specified criteria does not exist in the user property
`IMetadataQueryParameter` | `buildNotEquals(String userPropertyField, String[] criteria)` Matches a user property whem none of specified criteria exists in the user property
`IMetadataQueryParameter` | `buildNotNull(IMetadataQuery.SystemProperty sysProp)` Matches a system property which is set(with some unspecified value).
`IMetadataQueryParameter` | `buildNotNull(String userPropertyField)` Matches a user property which is set(with some unspecified value).
`IMetadataQueryParameter` | `buildRange(IMetadataQuery.SystemProperty sysProp, Calendar begin, Calendar end)` Matches a user property which contains a date that falls within the inclusive range of two dates.
`IMetadataQueryParameter` | `buildRange(String userPropertyField, Calendar begin, Calendar end)` Matches a user property which contains a date that falls within the inclusive range of two dates.
`IMetadataQueryParameter` | `buildWildcard(IMetadataQuery.SystemProperty sysProp, String criteria)` Used for matching criteria containing the wildcards '*' or '?'
`IMetadataQueryParameter` | `buildWildcard(String userPropertyField, String criteria)` Used for matching criteria containing the wildcards '*' or '?'

Method Detail

### buildLessThan

    IMetadataQueryParameter buildLessThan(String userPropertyField,
                                          Number criteria)
                                          throws InvalidQueryException

  Match a user property that is less then the specified criteria, for example size less than 1000

  Parameters
    `userPropertyField` - The name of user property
    `criteria` -
  Returns
  Throws
    `InvalidQueryException`

### buildLessThan

    IMetadataQueryParameter buildLessThan(IMetadataQuery.SystemProperty syrProp,
                                          Number criteria)
                                          throws InvalidQueryException

  Match a system property that is less then the specified criteria, for example size less than 1000

  Parameters
    `sysProp` - The system property
    `criteria` - The numeric criteria that the system property is less than.
  Returns
  Throws
    `InvalidQueryException`

### buildGreaterThan

    IMetadataQueryParameter buildGreaterThan(String userPropertyField,
                                             Number criteria)
                                             throws InvalidQueryException

  Matches a user property which is greater than a numeric value

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The numeric value
  Returns
  Throws
    `InvalidQueryException`

### buildGreaterThan

    IMetadataQueryParameter buildGreaterThan(IMetadataQuery.SystemProperty sysProp,
                                             Number criteria)
                                             throws InvalidQueryException

  Matches a system property which is greater than a numeric value

  Parameters
    `sysProp` - The system propety
    `criteria` - The numeric value
  Returns
  Throws
    `InvalidQueryException`

### buildBefore

    IMetadataQueryParameter buildBefore(String userPropertyField,
                                        Calendar criteria)
                                        throws InvalidQueryException

  Matches a user property which contains a date that is earlier than or equal to the specified date

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The specified date
  Returns
  Throws
    `InvalidQueryException`

### buildBefore

    IMetadataQueryParameter buildBefore(IMetadataQuery.SystemProperty sysProp,
                                        Calendar criteria)
                                        throws InvalidQueryException

  Matches a system property which contains a date that is earlier than or equal to the specified date

  Parameters
    `sysProp` - The system property
    `criteria` - The specified date
  Returns
  Throws
    `InvalidQueryException`

### buildAfter

    IMetadataQueryParameter buildAfter(String userPropertyField,
                                       Calendar criteria)
                                       throws InvalidQueryException

  Matches a user property which contains a date that is later than or equal to the specified date

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The specified date
  Returns
  Throws
    `InvalidQueryException`

### buildAfter

    IMetadataQueryParameter buildAfter(IMetadataQuery.SystemProperty sysProp,
                                       Calendar criteria)
                                       throws InvalidQueryException

  Matches a system property which contains a date that is later than or equal to the specified date

  Parameters
    `sysProp` - The system property
    `criteria` - The specified date
  Returns
  Throws
    `InvalidQueryException`

### buildRange

    IMetadataQueryParameter buildRange(String userPropertyField,
                                       Calendar begin,
                                       Calendar end)
                                       throws InvalidQueryException

  Matches a user property which contains a date that falls within the inclusive range of two dates.

  Parameters
    `userPropertyField` - The name of user property
    `begin` - The begining of the time period. If it is null, the period ranges up to the end date, including any date before the end date).
    `end` - The ending of the time period. If it is null, the period ranges from the begin date, including any date after the begin date.
  Returns
  Throws
    `InvalidQueryException`

### buildRange

    IMetadataQueryParameter buildRange(IMetadataQuery.SystemProperty sysProp,
                                       Calendar begin,
                                       Calendar end)
                                       throws InvalidQueryException

  Matches a user property which contains a date that falls within the inclusive range of two dates.

  Parameters
    `sysProp` - The system property
    `begin` - The begining of the time period. If it is null, the period ranges up to the end date, including any date before the end date.
    `end` - The ending of the time period. If it is null, the period ranges from the begin date, including any date after the begin date.
  Returns
  Throws
    `InvalidQueryException`

### buildIsNull

    IMetadataQueryParameter buildIsNull(String userPropertyField)
                                        throws InvalidQueryException

  Matches a user property which does not have a value set

  Parameters
    `userPropertyField` -
  Returns
  Throws
    `InvalidQueryException`

### buildIsNull

    IMetadataQueryParameter buildIsNull(IMetadataQuery.SystemProperty sysProp)
                                        throws InvalidQueryException

  Matches a system property which does not have a value set

  Parameters
    `sysProp` -
  Returns
  Throws
    `InvalidQueryException`

### buildNotNull

    IMetadataQueryParameter buildNotNull(String userPropertyField)
                                         throws InvalidQueryException

  Matches a user property which is set(with some unspecified value).

  Parameters
    `userPropertyField` -
  Returns
  Throws
    `InvalidQueryException`

### buildNotNull

    IMetadataQueryParameter buildNotNull(IMetadataQuery.SystemProperty sysProp)
                                         throws InvalidQueryException

  Matches a system property which is set(with some unspecified value).

  Parameters
    `sysProp` -
  Returns
  Throws
    `InvalidQueryException`

### buildContains

    IMetadataQueryParameter buildContains(String userPropertyField,
                                          String[] values)
                                          throws InvalidQueryException

  Matches a user property any criteria from a given list of criteria

  Parameters
    `userPropertyField` -
    `values` -
  Returns
  Throws
    `InvalidQueryException`

### buildContains

    IMetadataQueryParameter buildContains(IMetadataQuery.SystemProperty sysProp,
                                          String[] values)
                                          throws InvalidQueryException

  Matches a system property any criteria from a given list of criteria

  Parameters
    `sysProp` - The system property
    `values` - The list of criteria
  Returns
  Throws
    `InvalidQueryException`

### buildContainsAll

    IMetadataQueryParameter buildContainsAll(String userPropertyField,
                                             String[] values)
                                             throws InvalidQueryException

  Matches all criteria from a given list of one or more criteria

  Parameters
    `userPropertyField` - The name of user property
    `values` - The list of criteira
  Returns
  Throws
    `InvalidQueryException`

### buildContainsAll

    IMetadataQueryParameter buildContainsAll(IMetadataQuery.SystemProperty sysProp,
                                             String[] values)
                                             throws InvalidQueryException

  Matches all criteria from a given list of one or more criteria

  Parameters
    `sysProp` -
    `values` -
  Returns
  Throws
    `InvalidQueryException`

### buildEquals

    IMetadataQueryParameter buildEquals(String userPropertyField,
                                        String criteria)
                                        throws InvalidQueryException

  Matches the exact string value of the criteria.

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The string value
  Returns
  Throws
    `InvalidQueryException`

### buildEquals

    IMetadataQueryParameter buildEquals(IMetadataQuery.SystemProperty sysProp,
                                        String criteria)
                                        throws InvalidQueryException

  Matches the exact string value of the criteria.

  Parameters
    `sysProp` - The system property
    `criteria` - The string value
  Returns
  Throws
    `InvalidQueryException`

### buildEquals

    IMetadataQueryParameter buildEquals(String userPropertyField,
                                        String[] criteria)
                                        throws InvalidQueryException

  Matches one or more exact string values from the given list.

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The list of string values
  Returns
  Throws
    `InvalidQueryException`

### buildEquals

    IMetadataQueryParameter buildEquals(IMetadataQuery.SystemProperty sysProp,
                                        String[] criteria)
                                        throws InvalidQueryException

  Matches one or more exact string values from the given list.

  Parameters
    `sysProp` - The system property
    `criteria` - The list of string values
  Returns
  Throws
    `InvalidQueryException`

### buildNotEquals

    IMetadataQueryParameter buildNotEquals(String userPropertyField,
                                           String criteria)
                                           throws InvalidQueryException

  Matches when the specified criteria does not exist in the user property

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The criteria which does not exist in the property
  Returns
  Throws
    `InvalidQueryException`

### buildNotEquals

    IMetadataQueryParameter buildNotEquals(IMetadataQuery.SystemProperty sysProp,
                                           String criteria)
                                           throws InvalidQueryException

  Matches when the specified criteria does not exist

  Parameters
    `sysProp` - The system property
    `criteria` - The criteria which does not exist in the property
  Returns
  Throws
    `InvalidQueryException`

### buildNotEquals

    IMetadataQueryParameter buildNotEquals(String userPropertyField,
                                           String[] criteria)
                                           throws InvalidQueryException

  Matches a user property whem none of specified criteria exists in the user property

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The list of criteria which do not exist in the property
  Returns
  Throws
    `InvalidQueryException`

### buildNotEquals

    IMetadataQueryParameter buildNotEquals(IMetadataQuery.SystemProperty sysProp,
                                           String[] criteria)
                                           throws InvalidQueryException

  Matches a system property whem none of specified criteria exists in the system property

  Parameters
    `sysProp` - The system property
    `criteria` - The list of criteria which do not exist in the property
  Returns
  Throws
    `InvalidQueryException`

### buildWildcard

    IMetadataQueryParameter buildWildcard(String userPropertyField,
                                          String criteria)
                                          throws InvalidQueryException

  Used for matching criteria containing the wildcards '*' or '?'

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The criteria containing the wildcards
  Returns
  Throws
    `InvalidQueryException`

### buildWildcard

    IMetadataQueryParameter buildWildcard(IMetadataQuery.SystemProperty sysProp,
                                          String criteria)
                                          throws InvalidQueryException

  Used for matching criteria containing the wildcards '*' or '?'

  Parameters
    `sysProp` - The system property
    `criteria` - The criteria containing the wildcards
  Returns
  Throws
    `InvalidQueryException`

### buildLike

    IMetadataQueryParameter buildLike(String userPropertyField,
                                      String criteria)
                                      throws InvalidQueryException

  Corresponds to an SQL "like" (case sensitive)

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The criteria
  Returns
  Throws
    `InvalidQueryException`

### buildLike

    IMetadataQueryParameter buildLike(IMetadataQuery.SystemProperty sysProp,
                                      String criteria)
                                      throws InvalidQueryException

  Corresponds to an SQL "like" (case sensitive)

  Parameters
    `sysProp` - The name of system property
    `criteria` - The criteria
  Returns
  Throws
    `InvalidQueryException`

### buildLikeIgnoreCase

    IMetadataQueryParameter buildLikeIgnoreCase(String userPropertyField,
                                                String criteria)
                                                throws InvalidQueryException

  Corresponds to an SQL "like" (without case sensitivity)

  Parameters
    `userPropertyField` - The name of user property
    `criteria` - The criteria
  Returns
  Throws
    `InvalidQueryException`

### buildLikeIgnoreCase

    IMetadataQueryParameter buildLikeIgnoreCase(IMetadataQuery.SystemProperty sysProp,
                                                String criteria)
                                                throws InvalidQueryException

  Corresponds to an SQL "like" (without case sensitivity)

  Parameters
    `sysProp` - The system property
    `criteria` - The criteria
  Returns
  Throws
    `InvalidQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved